<div class="row">
    <div class="col-md-8">
        <form #product="ngForm" (ngSubmit)="formSubmit(product)">
            
            <div class="row">
                <div class="col">
                    <mat-form-field appearance="outline" class="w-50">
                        <mat-label>Features</mat-label>
                        <mat-select matNativeControl ngModel required name="propertyId" >
                            <mat-option [value]="prop?.id" *ngFor="let prop of properties">{{prop?.name + ' : '+ prop?.address}}</mat-option>

                        </mat-select>
                    </mat-form-field>
                </div>

            </div>

            <div class="d-flex flex-row align-items-center justify-content-between mt-3">
                <button type="submit" mat-stroked-button color="primary">Add Product</button>
            </div>
        </form>
    </div>
    <div class="col-md-4">
        <div class="image__preview__container">
            <img class="image__preview" [src]="fileName" />

        </div>
        <div class="mt-2">
            <input #fileInput hidden (change)="onFileChange($event)" type="file" accept="image/png, image/jpeg" />
            <button (click)="fileInput.click()" mat-stroked-button color="primary">Upload Image</button>
            <!-- <button (click)="uploadImage()"  mat-stroked-button color="primary">Upload Image</button> -->
        </div>
    </div>
</div>